This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 398881 - (libssh2) Review Request: libssh2 - A library implementing the SSH2 protocol
Review Request: libssh2 - A library implementing the SSH2 protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
http://www.libssh2.org/
:
: 239279 (view as bug list)
Depends On:
Blocks: perl-Net-SSH2
  Show dependency treegraph
 
Reported: 2007-11-25 18:23 EST by Chris Weyl
Modified: 2008-07-14 11:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 20:28:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-11-25 18:23:18 EST
SRPM URL: http://home.comcast.net/~ckweyl/libssh2-0.18-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/libssh2.spec

Description:
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).
Comment 1 Chris Weyl 2007-11-25 18:25:06 EST
One more thing to update in the post-to-review script... :)

SRPM URL: http://fedora.biggerontheinside.net/review/libssh2-0.18-2.fc6.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/libssh2.spec
Comment 2 Chris Weyl 2007-11-25 18:25:27 EST
*** Bug 239279 has been marked as a duplicate of this bug. ***
Comment 3 Mamoru TASAKA 2007-11-26 08:38:40 EST
For 0.18-2:

* %check
  - This tarball contains tests/ directory and "make check" seems
    to execute some test programs.
    Please create %check section and do some tests in there if
    possible.

* Timestamps
  - Please add
---------------------------------------------------
INSTALL="install -p"
---------------------------------------------------
    to "make install". While sometimes this does not do anything,
    usually this method works for keeping timestamps on installed
    files for recent Makefiles.
Comment 5 Mamoru TASAKA 2007-11-27 07:30:42 EST
Well, what I meant is to add 'INSTALL="install -p"' to the option
of "make install", i.e.

------------------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="install -p"
------------------------------------------------------------

Other things are okay.

--------------------------------------------------------
   This package (libssh2) is APPROVED by me
--------------------------------------------------------
Comment 6 Chris Weyl 2007-11-27 11:25:45 EST
(In reply to comment #5)
> Well, what I meant is to add 'INSTALL="install -p"' to the option
> of "make install", i.e.
> 
> ------------------------------------------------------------
> make install DESTDIR=%{buildroot} INSTALL="install -p"
> ------------------------------------------------------------

Gotcha -- changed. :)
Comment 7 Chris Weyl 2007-11-27 11:26:08 EST
New Package CVS Request
=======================
Package Name: libssh2
Short Description: A library implementing the SSH2 protocol
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC:
Comment 8 Kevin Fenzi 2007-11-27 15:15:42 EST
cvs done
Comment 9 Chris Weyl 2007-11-27 20:28:25 EST
Imported and building.  Thanks for the review! :)
Comment 10 Chris Weyl 2007-12-01 13:37:12 EST
New Package CVS Request
=======================
Package Name: libssh2
Short Description: A library implementing the SSH2 protocol
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC:
Comment 11 Chris Weyl 2007-12-01 13:39:06 EST
scratch that :)
Comment 12 David Juran 2008-07-14 06:08:05 EDT
Package Change Request
======================
Package Name: libssh2
New Branches: EL-4 EL-5 
Updated Fedora CC: djuran 
Updated EPEL Owners: djuran 

As discussed with Chris over email, I will take ownership of EPEL branches for
this package
Comment 13 Itamar Reis Peixoto 2008-07-14 08:38:01 EDT
hello.


also is possible to packge php-pecl-ssh2 ?


http://pecl.php.net/package/ssh2
Comment 14 Mamoru TASAKA 2008-07-14 08:50:18 EDT
(In reply to comment #13)
> hello.
> 
> also is possible to packge php-pecl-ssh2 ?
> http://pecl.php.net/package/ssh2

Please submit another review request. Perhaps someone who knows about php much more
than me will review it.
Comment 15 Kevin Fenzi 2008-07-14 11:59:39 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.